\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm, scale=0.5]
\clip(-1,-1) rectangle (5,3);
\fill[line width=1pt,fill=A2] (0,0) -- (0,2) -- (4,0) -- cycle;
\draw[line width=0.8pt] (0.42426406871192845,0) -- (0.4242640687119285,0.42426406871192845) -- (0,0.42426406871192845) -- (0,0) -- cycle; 
\draw [line width=1pt] (0,0)-- (0,2);
\draw [line width=1pt] (0,2)-- (4,0);
\draw [line width=1pt] (4,0)-- (0,0);
\draw (-0.25,-0.25) node {$A$};
\draw (-0.25,2.25) node {$B$};
\draw (4.25,-0.25) node {$C$};
\end{tikzpicture}
\end{document}